Bug 1191611 - dnf install cannot install older kernel
Summary: dnf install cannot install older kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 26
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1230346 1230357 1281485 1313132 1317267 1344039 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 15:22 UTC by Igor Bukanov
Modified: 2017-06-09 19:06 UTC (History)
20 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:06:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1230357 None None None Never

Internal Links: 1230357

Description Igor Bukanov 2015-02-11 15:22:04 UTC
Description of problem:

I need to install an older kernel that was removed during an update. However, using dnf install  gives:

~> sudo dnf install kernel-3.17.4-301.fc21
Error: conflicting requests

Running yum install kernel-3.17.4-301.fc21 installed the kernel without any problems.

Version-Release number of selected component (if applicable):

~> dnf --version
0.6.3
  Installed: dnf-0:0.6.3-2.fc21.noarch at 2014-12-20 16:30
  Built    : Fedora Project at 2014-12-09 13:51


How reproducible:

Every time I run dnf install

Steps to Reproduce:
1. Make sure that on Fedora 21 all updates are applied and reboot with the latest kernel.
2. Run dnf remove kernel-3.17.4-301.fc21 to make sure that the older kernel is removed.
3. Install it using dnf install kernel-3.17.4-301.fc21

Actual results:
Error: conflicting requests

Expected results:
The older kernel is installed.

Comment 1 Honza Silhan 2015-07-20 13:53:31 UTC
Thanks for the report. We should fix the installonly packages removel aver limit in hawkey. As a temp work around, remove one of the kernels first.

Comment 2 Honza Silhan 2015-07-24 12:35:08 UTC
*** Bug 1230346 has been marked as a duplicate of this bug. ***

Comment 3 Honza Silhan 2015-07-24 12:37:03 UTC
*** Bug 1230357 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2015-11-04 10:19:02 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 08:54:51 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jaroslav Mracek 2016-03-07 13:03:54 UTC
*** Bug 1313132 has been marked as a duplicate of this bug. ***

Comment 7 Jaroslav Mracek 2016-03-07 13:05:17 UTC
The problem is also reported from fedora 22 and 23.

Comment 8 Jaroslav Mracek 2016-03-14 13:28:46 UTC
*** Bug 1317267 has been marked as a duplicate of this bug. ***

Comment 9 MartinG 2016-05-29 11:37:37 UTC
So, on F23, how do I install an old kernel with dnf? Not possible?

# dnf install kernel-4.2.3-300.fc23.x86_64 --allowerasing
Last metadata expiration check: 0:06:14 ago on Sun May 29 13:27:59 2016.
Error: conflicting requests

# dnf --version
1.1.9
  Installed: dnf-0:1.1.9-2.fc23.noarch at 2016-05-28 11:01
  Built    : Fedora Project at 2016-05-24 15:43

  Installed: rpm-0:4.13.0-0.rc1.13.fc23.x86_64 at 2016-04-27 20:17
  Built    : Fedora Project at 2016-04-25 13:50

# yum-deprecated install kernel-4.2.3-300.fc23.x86_64 
(works).

Reason for downgrading: Resume from suspend doesn't work on my Thinkpad T400 on kernel-4.4.x.

Comment 10 Honza Silhan 2016-06-15 16:01:16 UTC
*** Bug 1344039 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Admin XMLRPC Client 2016-07-08 09:40:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Raphaël Cazenave-Lévêque 2016-08-24 10:28:39 UTC
I have the same issue on fedora 24.
And if we use 'yum-deprecated' (I do not know if this command can cause problems) to install an older kernel, the latest kernel is removed [1]. 
So this is not a workaround.

[1]: https://paste.fedoraproject.org/413227/34443147/raw/

Comment 13 Fedora End Of Life 2016-11-24 11:25:40 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Michael Mráka 2016-11-24 12:51:10 UTC
Still valid.
dnf-2.0.0-0.rc1.1.git.0.e6df665

Comment 15 Michael Mráka 2016-11-25 10:14:36 UTC
*** Bug 1281485 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-02-28 09:40:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 17 Jaroslav Mracek 2017-05-04 17:26:37 UTC
I created pull-request that should solve the problem: https://github.com/rpm-software-management/libdnf/pull/285

Comment 18 Fedora Update System 2017-05-22 12:42:06 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 19 Fedora Update System 2017-05-22 16:40:37 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 20 Fedora Update System 2017-05-24 08:33:08 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 21 Fedora Update System 2017-05-24 14:33:49 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 22 Fedora Update System 2017-05-25 19:18:10 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 23 Fedora Update System 2017-06-09 19:06:45 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.